import { HttpClient } from '@angular/common/http';
import { NgxSpinnerService } from 'ngx-spinner';
import { ActivatedRoute, Params } from '@angular/router';
import { Location } from '@angular/common';
import { AuthServiceService } from './../../../shared/auth-service.service';
import { ToastrService } from 'ngx-toastr';
import { DashboardService } from './../../../shared/dashboard.service';
import { Component, OnInit, ViewChild } from '@angular/core';
import { NgForm } from '@angular/forms';

@Component({
  selector: 'app-living-service-add',
  templateUrl: './living-service-add.component.html',
  styleUrls: ['./living-service-add.component.css']
})
export class LivingServiceAddComponent implements OnInit {

  constructor(
    private dashBoardSer: DashboardService,
    private toastr: ToastrService,
    public authSer: AuthServiceService,
    private route: ActivatedRoute,
    private spinner: NgxSpinnerService,
    private location: Location,
    private http: HttpClient
  ) { }

  @ViewChild('f') definitionForm : NgForm;

  typePage: string = '';
  locations =[];
  valueType: string = '';
  checkSaveclick:boolean = false;
  check : boolean = false;
  isEdit: boolean = false;
  editPageId: number;

  formData = {
    name: '',
    status: '1',
  }


  ngOnInit() {

    this.route.params.subscribe(
      (params: Params) => {
        this.editPageId = +params['listPageEditId'];
        console.log(this.editPageId);
      }
    );

    if (this.editPageId) {
      this.spinner.show();
      this.isEdit = true;
      this.typePage = 'تعديل';
      this.dashBoardSer.getItemData(this.editPageId, 'livingService' ).subscribe(
        res => {
          console.log('ssss', res);
          this.formData.name = res['covenant_category'].name;
          this.formData.status  = res['covenant_category'].status;
          this.spinner.hide();
        },
        err => {
          console.log(err);
        }
      );
    }else {
      this.typePage = 'اضافة';
    }

  }
  onSubmitted(){
    console.log('HERE',this.definitionForm.value);
    if(this.editPageId) {
      this.dashBoardSer.editItem(this.editPageId, this.definitionForm.value, 'livingService').subscribe(
        res => {
          console.log(res);
          this.toastr.success('تم التعديل بنجاح');
          this.location.back();
        },
        err => {
          console.log(err);
          this.toastr.error('خطأ في الخادم ، رجاء المحارله لاحقا');
        }
      )
    } else {
      this.dashBoardSer.addItem( this.definitionForm.value , 'livingService').subscribe(
        res => {
          console.log('ADD',res);
          this.toastr.success('تم الإضافه بنجاح');
          this.checkSaveclick = false;
          this.location.back();
        },
        err => {
          console.log(err);
          this.checkSaveclick = false;
          this.toastr.error('خطأ في الخادم ، حاول لاحقا');
        }
      );
      }
  }

}
